DragonFly bugs List (threaded) for 2008-08
DragonFly BSD
DragonFly bugs List (threaded) for 2008-08
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Script failure checking kernel IPFILTER support


From: "Frank W. Josellis" <frank@xxxxxxxxxxxxxxxxxxxxx>
Date: Wed, 13 Aug 2008 08:50:17 +0200 (CEST)

The script /etc/rc.d/ipfilter attempts to load the ipl module even if this 
was compiled into the kernel. Apparently "ipl" can't be used as a modname 
argument for kldstat to give the desired result. I'm currently using a 
workaround as shown below, works for both the generic and the customized 
kernel.

Regards,
Frank Josellis

--- patch begins here ---
--- /etc/rc.d/ipfilter.orig	2008-08-09 22:22:54 +0200
+++ /etc/rc.d/ipfilter	2008-08-12 17:33:24 +0200
@@ -30,7 +30,7 @@
 
 ipfilter_loaded()
 {
-	if ! kldstat -q -m "ipl"; then
+	if ! kldstat -q -m "IP Filter: v3.4.35"; then
 		return 1
 	else
 		return 0
--- patch ends here ---



[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]